Subject: Re: NNCP with SP via high-latency links and TCP timeouts

From: Sergey Matveev <[email-masked]>
Date: Sat, 18 Jan 2025 23:58:24 +0300

*** Marek Küthe [2025-01-18 20:49]:
>The latency occurred when I used IP via Meshtastic. Meshtastic itself
>uses LoRa (by default in long-fast mode).

Ah, I see. Well, currently (except for missing timeout setting in
net.Dial), only OS'es TCP tuning may help with SP.

>However, as far as I understand it, only the SP supports Perfect
>Forward Secrecy (PFS), right?

Yes, it has PFS property, but only for the data transmitted inside
that SP-connection. That means that encrypted packets in the spool
still won't have PFS property anyway.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A